.price-teaser {
  display: flex;
  align-items: flex-start;
  flex-direction: column;
}

.price-teaser__list-price {
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

.price-teaser__old {
  font: var(--typography-body-small);
  line-height: 1;
  margin-right: var(--spacing-xs);
  margin-bottom: var(--spacing-xs);
  color: var(--color-text-extra-dimmed);
  text-decoration: line-through;
}

.price-teaser__discount {
  font: var(--typography-body-small);
  font-weight: bold;
  line-height: 1;
  margin-right: var(--spacing-xs);
  padding: var(--spacing-xxs) var(--spacing-xs);
  color: var(--color-on-secondary-container);
  border-radius: var(--button-border-radius);
  background-color: var(--color-secondary-container);
  margin-bottom: var(--spacing-xs);
}

.price-teaser__amount {
  font-weight: bold;
}

.price-teaser__currency,
.price-teaser__unit {
  font: var(--typography-body-small);
  color: var(--color-text-dimmed);
}

@media (min-width: 425px) {
  .price-teaser__old,
  .price-teaser__discount {
    margin-bottom: 0;
  }
}
